<ion-app>
  <ion-split-pane [when]="shouldShowPane()">
    <ion-menu>
      <ion-header>
        <ion-toolbar color="primary">
          <ion-title>Navigate</ion-title>
        </ion-toolbar>
      </ion-header>
      <ion-content>
        <ion-list>
          <ion-list-header class="no-margin margin-top">
            General
          </ion-list-header>
          <ion-menu-toggle auto-hide="false">
            <ion-item button routerLink="/" [class.active-page]="pageActive('/home')">
              <ion-icon slot="start" name='home'></ion-icon>
              <ion-label>
                Home
              </ion-label>
            </ion-item>
          </ion-menu-toggle>
          <ion-menu-toggle auto-hide="false">
            <ion-item button routerLink="/blog" [class.active-page]="pageActive('/blog')">
              <ion-icon slot="start" name="list"></ion-icon>
              <ion-label>
                Blog
              </ion-label>
            </ion-item>
          </ion-menu-toggle>
          <ion-menu-toggle auto-hide="false">
            <ion-item button routerLink="/help/getting-started" [class.active-page]="pageActive('/help/')">
              <ion-icon slot="start" name="help-circle"></ion-icon>
              <ion-label>
                Help
              </ion-label>
            </ion-item>
          </ion-menu-toggle>
          <ion-menu-toggle auto-hide="false">
            <ion-item button routerLink="/chat/general" [class.active-page]="pageActive('/chat/')">
              <ion-icon slot="start" name="chatbubbles"></ion-icon>
              <ion-label>
                Chat
              </ion-label>
            </ion-item>
          </ion-menu-toggle>
          <ion-list-header class="no-margin margin-top">
            Tools
          </ion-list-header>
          <ion-menu-toggle auto-hide="false">
            <ion-item button routerLink="/dashboard/{{ routing.dashboardSegment }}" [class.active-page]="pageActive('/dashboard/')">
              <ion-icon slot="start" name="analytics"></ion-icon>
              <ion-label>
                Dashboard
              </ion-label>
            </ion-item>
          </ion-menu-toggle>
          <ion-menu-toggle auto-hide="false">
            <ion-item button routerLink="/blocks/{{ routing.blockSegment }}" [class.active-page]="pageActive('/blocks/')">
              <ion-icon slot="start" name="apps"></ion-icon>
              <ion-label>
                Blocks
              </ion-label>
            </ion-item>
          </ion-menu-toggle>
          <ion-menu-toggle auto-hide="false">
            <ion-item button routerLink="/payments/{{ routing.paymentSegment }}" [class.active-page]="pageActive('/payments/')">
              <ion-icon slot="start" name="cash"></ion-icon>
              <ion-label>
                Payments
              </ion-label>
            </ion-item>
          </ion-menu-toggle>
          <ion-menu-toggle auto-hide="false">
            <ion-item button routerLink="/settings/{{ routing.settingSegment }}" [class.active-page]="pageActive('/settings/')">
              <ion-icon slot="start" name="settings"></ion-icon>
              <ion-label>
                Settings
              </ion-label>
            </ion-item>
          </ion-menu-toggle>
          <ion-list-header class="no-margin margin-top">
            Pools <ion-button (click)="modalOpen = true;" class="side-menu-list-header-button" color="secondary" size="small">
              <ion-icon slot="start" name="add"></ion-icon>
              Submit New Pool
            </ion-button>
          </ion-list-header>
          <ng-container *ngIf="dataService.sideMenuPoolsToggled">
            <ng-container *ngFor="let coin of dataService.coinArray">
              <ng-container *ngIf="coin.supported && coin.name">
                <ion-menu-toggle auto-hide="false">
                  <ion-item button (click)="dataService.sideMenuPoolsToggled[coin.id] = !dataService.sideMenuPoolsToggled[coin.id]">
                    <ion-icon slot="start" src="/assets/icon/coins/{{ coin.name.toLowerCase() }}.svg"></ion-icon>
                    <ion-label>
                      {{ coin.name }} <small class="coin-abbrev">{{ coin.id }} <span class="coin-price"
                          [class.positive-twenty-four]="dataService.coinTwentyFourPositive[coin.id]">${{
                          dataService.coinPrices[coin.id] | number : '1.2-2' }}</span></small>
                    </ion-label>
                  </ion-item>
                </ion-menu-toggle>
                <ng-container *ngIf="dataService.sideMenuPoolsToggled[coin.id] && dataService.poolTable[coin.id]">
                  <ng-container *ngFor="let pool of dataService.poolTable[coin.id]">
                    <ion-menu-toggle class="pool-menu-toggle" auto-hide="false">
                      <ion-item button routerLink="/pool/{{ coin.name.toLowerCase() }}/{{ pool.id.toLowerCase() }}/{{ routing.poolSegment }}"
                        [class.active-page]="coinPageActive(pool.id)">
                        <ion-icon slot="start" class="pool-status-icon" [class.error]="!dataService.poolStatus[pool.id]"
                          name="{{ dataService.poolStatus[pool.id] ? 'checkmark-circle-outline' : 'alert' }}"></ion-icon>
                        <ion-label>
                          <small>{{ pool.name }}</small> <small class="pool-hashrate">{{
                            dataService.poolHashRate[pool.id] | hash }}</small>
                        </ion-label>
                      </ion-item>
                    </ion-menu-toggle>
                  </ng-container>
                </ng-container>
              </ng-container>
            </ng-container>
          </ng-container>
        </ion-list>
      </ion-content>
    </ion-menu>
    <ion-router-outlet class="ion-page" main></ion-router-outlet>
  </ion-split-pane>
  <app-modal class="animated" [class.fadeOut]="modalFadeOut" (click)="closeModal()" *ngIf="modalOpen === true"></app-modal>
</ion-app>